Skip to main content

Instance Members Actions

https://api.losant.com/instances/INSTANCE_ID/members

Below are the various requests that can be performed against the Instance Members resource, as well as the expected parameters and the potential responses.

Get​

Returns a collection of instance members

Method And Url​

GET https://api.losant.com/instances/INSTANCE_ID/members

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.Instance.read, all.User, all.User.bounded, all.User.read, instanceMembers.*, or instanceMembers.get.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: email, roleemailsortField=role
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: email, rolefilterField=email
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my * instance

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/instances/INSTANCE_ID/members

Successful Responses​

CodeTypeDescription
200Instance MembersA collection of instance members

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance was not found

Post​

Creates a new instance member

Method And Url​

POST https://api.losant.com/instances/INSTANCE_ID/members

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.User, instanceMembers.*, or instanceMembers.post.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Instance Member Post schema. For example, the following would be a valid body for this request:

{
"userId": "675ed18f7ae143cd83dc4bb7",
"role": "view"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"userId":"675ed18f7ae143cd83dc4bb7","role":"view"}' \
https://api.losant.com/instances/INSTANCE_ID/members

Successful Responses​

CodeTypeDescription
200Instance MemberThe newly created instance member

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Instance Member​

        Schema for an Instance member

        Instance Member Schema​

        • ▶
          {} 4 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 9 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 3 keys
                  • ▶
                    {} 3 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 3 keys
                          • ▶
                            {} 1 key
                            • ▶
                              {} 1 key
                            • false

                          Instance Member Example​

                          • ▶
                            {} 2 keys
                            • "575ef90f7ae143cd83dc4aad"
                            • "view"

                          Instance Member Post​

                          Schema for an Instance member creation request

                          Instance Member Post Schema​

                          • ▶
                            {} 5 keys
                            • "http://json-schema.org/draft-07/schema#"
                            • "object"
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 2 keys
                                  • false
                                  • ▶
                                    [] 2 items

                                  Instance Member Post Example​

                                  • ▶
                                    {} 2 keys
                                    • "675ed18f7ae143cd83dc4bb7"
                                    • "view"

                                  Instance Members​

                                  Schema for a collection of Instance members

                                  Instance Members Schema​

                                  • ▶
                                    {} 3 keys
                                    • "http://json-schema.org/draft-07/schema#"
                                    • "object"
                                    • ▶
                                      {} 7 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 1 key
                                              • ▶
                                                {} 1 key
                                                • ▶
                                                  {} 1 key
                                                  • ▶
                                                    {} 2 keys

                                                Instance Members Example​

                                                • ▶
                                                  {} 4 keys
                                                  • ▶
                                                    [] 1 item
                                                    • 4
                                                    • "email"
                                                    • "asc"

                                                  Was this page helpful?


                                                  Still looking for help? You can also search the Losant Forums or submit your question there.